> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Premium Contacts



## OpenAPI

````yaml /partner-api/openapi.json post /api/Contacts/GetPremiumContacts
openapi: 3.0.1
info:
  title: SeekOut Partner API
  version: '1.0'
  description: >-
    The SeekOut Partner API provides direct, programmatic REST access to
    SeekOut's talent search engine. Use it to build custom integrations,
    dashboards, scheduled jobs, and backend workflows for candidate search,
    profile matching, contact retrieval, and analytics. Authenticate every
    request with your `Api-Key` header, provisioned by your SeekOut
    representative.
servers:
  - url: https://partnerapi.seekout.io
    description: SeekOut Partner API
security:
  - ApiKey: []
paths:
  /api/Contacts/GetPremiumContacts:
    post:
      tags:
        - Contacts
      summary: Get Premium Contacts
      operationId: getPremiumContacts
      parameters:
        - name: contactType
          in: query
          schema:
            $ref: >-
              #/components/schemas/PartnerApiWebService.Models.PartnerApiContactType
        - name: state
          in: query
          schema:
            $ref: >-
              #/components/schemas/PartnerApiWebService.Models.ContactRequestState
      requestBody:
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                type: string
          application/json:
            schema:
              type: array
              items:
                type: string
          text/json:
            schema:
              type: array
              items:
                type: string
          application/*+json:
            schema:
              type: array
              items:
                type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/PartnerApiWebService.Models.PremiumContactResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PartnerApiWebService.Models.PremiumContactResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/PartnerApiWebService.Models.PremiumContactResult
components:
  schemas:
    PartnerApiWebService.Models.PartnerApiContactType:
      enum:
        - Email
        - Phone
      type: string
    PartnerApiWebService.Models.ContactRequestState:
      enum:
        - New
        - Polling
        - Existing
      type: string
    PartnerApiWebService.Models.PremiumContactResult:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.UserContacts'
          nullable: true
        count:
          $ref: '#/components/schemas/PartnerApiWebService.Models.ContactCreditData'
      additionalProperties: false
    PeopleSearch.Public.UserContacts:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactRequest'
        emails:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Email'
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.PhoneNumber'
          nullable: true
        profiles:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Profile'
          nullable: true
        photos:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Photo'
          nullable: true
        websites:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Website'
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        dict_emails:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/PeopleSearch.Public.Email'
            nullable: true
          nullable: true
        emails_validity:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PeopleSearch.Public.ValidationEntry'
          nullable: true
        status:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestStatus'
        called_fallback_providers:
          type: boolean
          nullable: true
        last_updated:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
          nullable: true
        card:
          $ref: '#/components/schemas/SeekOut.Data.IndexGen.PersonCard'
        gender:
          type: string
          nullable: true
        age_range:
          type: string
          nullable: true
        execution_trace:
          $ref: '#/components/schemas/PeopleSearch.Public.ExecutionTrace'
        email_delivery_reports:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.EmailDeliveryReport'
          nullable: true
        phone_delivery_reports:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.PhoneDeliveryReport'
          nullable: true
        company_ids_requesting:
          uniqueItems: true
          type: array
          items:
            type: string
          nullable: true
        provider_completion_data_dictionary:
          type: object
          properties:
            None:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Versium:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Hunter:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            AnyEmailFinder:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Toofr:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Lusha:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            HuBuCo:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            GitHub:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            PeopleDataLabs:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FullContact:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FlatFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Pipl:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReach:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RampedUp:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Cognism:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Multiple:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            MillionVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ContactOut:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Admin:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalNursingFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            StateBoard:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FiveXFive:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            StateBoardAndContactMapper:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ZeroBounce:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalEmailProviderVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ProviderValidationBasedVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachEmail:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachPhone:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachNpi:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FiveXFiveUniversal:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            WizaEmail:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            WizaPhone:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalHealthcareFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
          additionalProperties: false
          nullable: true
        request_completion_data:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestCompletionData'
        has_good_email:
          type: boolean
          readOnly: true
        _etag:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        _rid:
          type: string
          nullable: true
        _self:
          type: string
          nullable: true
          readOnly: true
        _ts:
          type: string
          format: date-time
          nullable: true
        ttl:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    PartnerApiWebService.Models.ContactCreditData:
      type: object
      properties:
        available:
          type: integer
          format: int32
        used:
          type: integer
          format: int32
        newRequestedCount:
          type: integer
          format: int32
      additionalProperties: false
    PeopleSearch.Public.ContactRequest:
      type: object
      properties:
        jobId:
          type: string
          nullable: true
        jobType:
          $ref: '#/components/schemas/PeopleSearch.AsyncJobs.JobType'
        userId:
          type: string
          nullable: true
        recruiterId:
          type: string
          nullable: true
        recruiterEmail:
          type: string
          nullable: true
        callerId:
          type: string
          nullable: true
        guid:
          type: string
          format: uuid
        callbackKey:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        linkedin_url:
          type: string
          nullable: true
        npi_number:
          type: string
          nullable: true
        emails:
          type: array
          items:
            type: string
          nullable: true
        li_id:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        full_name:
          type: string
          nullable: true
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Address'
          nullable: true
        company:
          type: string
          nullable: true
        is_large_company:
          type: boolean
          nullable: true
        domain:
          type: string
          nullable: true
        past_domains:
          type: array
          items:
            type: string
          nullable: true
        req_type:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestType'
        contact_type:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactType'
        contact_level:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactLevel'
        high_pri:
          type: boolean
          nullable: true
        index:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        continent:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        department:
          type: string
          nullable: true
        industry:
          type: string
          nullable: true
        linkedin_industry:
          type: string
          nullable: true
        diversity:
          type: array
          items:
            type: string
          nullable: true
        company_id_requesting:
          type: string
          nullable: true
        past_companies:
          type: array
          items:
            type: string
          nullable: true
        educations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Education'
          nullable: true
        graduation_year:
          type: integer
          format: int32
          nullable: true
        use_cache:
          type: boolean
        is_test:
          type: boolean
        queued_time:
          type: string
          format: date-time
          nullable: true
        nurse_types:
          type: array
          items:
            type: string
          nullable: true
        has_public_profile:
          type: boolean
          nullable: true
        contact_quality:
          type: integer
          format: int32
          nullable: true
        primary_providers:
          type: array
          items:
            type: string
          nullable: true
        secondary_providers:
          type: array
          items:
            type: string
          nullable: true
        alt_keys:
          type: array
          items:
            type: string
          nullable: true
        alt_urls:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Email:
      type: object
      properties:
        email:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        contact_source:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactSourceType'
        score:
          type: integer
          format: int32
          nullable: true
        validation:
          $ref: '#/components/schemas/PeopleSearch.Public.Validation'
        time_stamp:
          type: string
          format: date-time
        valid_since:
          type: string
          format: date-time
          nullable: true
        last_updated:
          type: string
          format: date-time
          nullable: true
        date_created:
          type: string
          format: date-time
          nullable: true
        last_seen:
          type: string
          format: date-time
          nullable: true
        confidence:
          type: string
          nullable: true
        rank:
          type: integer
          format: int32
        preferred_email:
          type: boolean
          nullable: true
        bad_email:
          type: boolean
          nullable: true
        sources:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ContactSourceType'
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.PhoneNumber:
      type: object
      properties:
        number:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        valid_since:
          type: string
          format: date-time
          nullable: true
        last_seen:
          type: string
          format: date-time
          nullable: true
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        time_stamp:
          type: string
          format: date-time
          nullable: true
        rank:
          type: integer
          format: int32
      additionalProperties: false
    PeopleSearch.Public.Profile:
      type: object
      properties:
        source:
          type: string
          nullable: true
        user_name:
          type: string
          nullable: true
        network:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Photo:
      type: object
      properties:
        source:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Website:
      type: object
      properties:
        type:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ValidationEntry:
      type: object
      properties:
        validation:
          $ref: '#/components/schemas/PeopleSearch.Public.Validation'
        verification_provider:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        time_stamp:
          type: string
          format: date-time
          nullable: true
        is_succeess:
          type: boolean
      additionalProperties: false
    PeopleSearch.Public.RequestStatus:
      enum:
        - NotStarted
        - InProgress
        - Done
        - NotFound
        - Queued
        - Unknown
      type: string
    SeekOut.Data.IndexGen.PersonCard:
      type: object
      properties:
        name:
          type: string
          nullable: true
        updated:
          type: string
          format: date-time
          nullable: true
        key:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        image_url:
          type: string
          nullable: true
        linkedin_image_url:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        role:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        full_title:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        response:
          type: string
          nullable: true
        found:
          type: boolean
      additionalProperties: false
    PeopleSearch.Public.ExecutionTrace:
      type: object
      properties:
        key:
          type: string
          nullable: true
        time_taken:
          type: number
          format: double
          nullable: true
        linkedin_url:
          type: string
          nullable: true
        ignored:
          type: boolean
          nullable: true
        provider_results:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.External.ContactResults'
          nullable: true
        best_email:
          $ref: '#/components/schemas/PeopleSearch.Public.Email'
        mismatched_linkedin_profile:
          type: string
          nullable: true
        mismatched_github_profile:
          type: string
          nullable: true
        error:
          type: string
          nullable: true
        exceptions:
          type: array
          items:
            type: string
          nullable: true
        added_linkedin_profile:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.EmailDeliveryReport:
      type: object
      properties:
        email:
          type: string
          nullable: true
        delivery_status:
          $ref: '#/components/schemas/PeopleSearch.Contacts.DeliveryStatus'
        date_created:
          type: string
          format: date-time
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.ReportingSource'
        org_id:
          type: string
          nullable: true
        company_id:
          type: string
          nullable: true
        email_step_status_list:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.EmailStepStatus'
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.PhoneDeliveryReport:
      type: object
      properties:
        phone_number:
          type: string
          nullable: true
        delivery_status:
          $ref: '#/components/schemas/PeopleSearch.Contacts.DeliveryStatus'
        date_created:
          type: string
          format: date-time
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.ReportingSource'
        company_id:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ProviderCompletionData:
      type: object
      properties:
        LastUpdatedForEmail:
          type: string
          format: date-time
          nullable: true
        LastUpdatedForPhone:
          type: string
          format: date-time
          nullable: true
        isSuccessfulForEmail:
          type: boolean
          nullable: true
        isSuccessfulForPhone:
          type: boolean
          nullable: true
        isPrimaryProviderForEmail:
          type: boolean
          nullable: true
        isPrimaryProviderForPhone:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.RequestCompletionData:
      type: object
      properties:
        emailCompletedTime:
          type: string
          format: date-time
          nullable: true
        phoneCompletedTime:
          type: string
          format: date-time
          nullable: true
        isEmailRequest:
          type: boolean
          nullable: true
        isPhoneRequest:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.AsyncJobs.JobType:
      enum:
        - Unknown
        - ContactRequest
        - UniversalContactRequest
      type: string
    PublicProfile.Address:
      type: object
      properties:
        address_type:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.RequestType:
      enum:
        - PublicProfiles
        - GitHub
        - CrossReferenceController
        - Academic
        - Healthcare
        - Nursing
        - Employee
        - ATS
        - AR
      type: string
    PeopleSearch.Public.ContactType:
      enum:
        - Email
        - Phone
        - All
        - ExtensionEmail
        - BusinessEmail
      type: string
    PeopleSearch.Public.ContactLevel:
      enum:
        - Basic
        - Better
        - Best
      type: string
    PublicProfile.Education:
      type: object
      properties:
        index:
          type: integer
          format: int32
          nullable: true
        school_id:
          type: integer
          format: int32
          nullable: true
        school_id_str:
          type: string
          nullable: true
        school:
          type: string
          nullable: true
        major_id:
          type: integer
          format: int32
          nullable: true
        major_id_str:
          type: string
          nullable: true
        major:
          type: string
          nullable: true
        degree_id:
          type: integer
          format: int32
          nullable: true
        degree_id_str:
          type: string
          nullable: true
        degree:
          type: string
          nullable: true
        start_date:
          type: string
          nullable: true
        start:
          type: integer
          format: int32
          nullable: true
        end_date:
          type: string
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        description:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Provider:
      enum:
        - None
        - Versium
        - Hunter
        - AnyEmailFinder
        - Toofr
        - Lusha
        - HuBuCo
        - GitHub
        - PeopleDataLabs
        - FullContact
        - FlatFile
        - Pipl
        - RocketReach
        - RampedUp
        - Cognism
        - Multiple
        - MillionVerifier
        - ContactOut
        - Admin
        - LocalNursingFile
        - StateBoard
        - FiveXFive
        - StateBoardAndContactMapper
        - ZeroBounce
        - LocalEmailProviderVerifier
        - ProviderValidationBasedVerifier
        - RocketReachEmail
        - RocketReachPhone
        - RocketReachNpi
        - FiveXFiveUniversal
        - WizaEmail
        - WizaPhone
        - LocalHealthcareFile
      type: string
    PeopleSearch.Public.ContactSourceType:
      enum:
        - Internal
        - ATSCandidate
        - ATSProspect
        - UserSupplied
        - External
        - Unknown
        - UserReportedBadEmails
      type: string
    PeopleSearch.Public.Validation:
      enum:
        - Unknown
        - Invalid
        - CantVerify
        - PreviousPosition
        - Valid
        - UnVerified
      type: string
    PeopleSearch.External.ContactResults:
      type: object
      properties:
        succeeded:
          type: boolean
        provider:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        emails:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Email'
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.PhoneNumber'
          nullable: true
        profiles:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Profile'
          nullable: true
        photos:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Photo'
          nullable: true
        websites:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Website'
          nullable: true
        result_type:
          $ref: '#/components/schemas/PeopleSearch.External.ContactResultType'
        api_response:
          type: string
          nullable: true
        request:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactRequest'
        status:
          $ref: '#/components/schemas/PeopleSearch.External.ExecutionStatus'
        gender:
          type: string
          nullable: true
        age_range:
          type: string
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        is_credit_used:
          type: boolean
        is_result_valid:
          type: boolean
        invalid_emails:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Email'
          nullable: true
        is_primary_provider:
          type: boolean
      additionalProperties: false
    PeopleSearch.Contacts.DeliveryStatus:
      enum:
        - Error
        - Sent
        - Opened
        - Replied
        - Bounced
        - UserReportedBadEmail
        - Unknown
      type: string
    PeopleSearch.Public.ReportingSource:
      enum:
        - ADMIN
        - CUSTOMER
        - MESSAGING
        - SPOT
      type: string
    PeopleSearch.Public.EmailStepStatus:
      type: object
      properties:
        email_status:
          $ref: '#/components/schemas/PeopleSearch.Contacts.DeliveryStatus'
        sent_timestamp:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PeopleSearch.External.ContactResultType:
      enum:
        - Contacts
        - Verification
        - SocialProfiles
      type: string
    PeopleSearch.External.ExecutionStatus:
      type: object
      properties:
        exception:
          type: string
          nullable: true
        stack:
          type: string
          nullable: true
        traces:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key
      description: >-
        Organization-scoped API key provisioned by SeekOut. Send it in the
        `Api-Key` header on every request.

````